UHD_SIGGEN_GUI(1)

NAME
uhd_siggen_gui - GNU Radio signal generator using UHD hardware

SYNOPSIS
uhd_siggen_gui: [options]

DESCRIPTION
GUI to allow UHD supported hardware to be a signal generator.

OPTIONS

-h, --help
    show this help message and exit

-a ARGS, --args=ARGS
    UHD device address args , [default=]

--spec=SPEC
    Subdevice of UHD device where appropriate

-A ANTENNA, --antenna=ANTENNA
    select Rx Antenna where appropriate

-s SAMP_RATE, --samp-rate=SAMP_RATE
    set sample rate (bandwidth) [default=1000000.0]

-g GAIN, --gain=GAIN
    set gain in dB (default is midpoint)

-f FREQ, --tx-freq=FREQ
    Set carrier frequency to FREQ [default=mid-point]

-x WAVEFORM_FREQ, --waveform-freq=WAVEFORM_FREQ
    Set baseband waveform frequency to FREQ [default=0]

-y WAVEFORM2_FREQ, --waveform2-freq=WAVEFORM2_FREQ
    Set 2nd waveform frequency to FREQ [default=none]

--sine
    Generate a carrier modulated by a complex sine wave

--const
    Generate a constant carrier

--offset=OFFSET
    Set waveform phase offset to OFFSET [default=0]

--gaussian
    Generate Gaussian random output

--uniform
    Generate Uniform random output

--2tone
    Generate Two Tone signal for IMD testing

--sweep
    Generate a swept sine wave

--amplitude=AMPL
    Set output amplitude to AMPL (0.0-1.0) [default=0.15]

-v, --verbose
    Use verbose console output [default=False]

SEE ALSO
uhd_siggen(1)